#!/bin/sh
echo 'name: reactive
version: 0.11.5
id: reactive-0.11.5-5cb07b075aad8cba3a5f994330b98c05

license: OtherLicense
copyright: (c) 2007-2009 by Conal Elliott
maintainer: conal@conal.net
stability: provisional
homepage: http://haskell.org/haskellwiki/reactive
package-url: http://code.haskell.org/reactive
synopsis: Push-pull functional reactive programming
description: /Reactive/ is a simple foundation for programming reactive systems
             functionally.  Like Fran\/FRP, it has a notions of (reactive) behaviors and
             events.  Unlike most previous FRP implementations, Reactive has a hybrid
             demand/data-driven implementation, as described in the paper \"Push-pull
             functional reactive programming\", <http://conal.net/papers/push-pull-frp/>.
             .
             This version of Reactive has some serious bugs that show up particularly
             with some uses of the Event monad.  Some problems have been due to bugs
             in the GHC run-time support for concurrency.  I do not know whether the
             remaining problems in Reactive are still more subtle RTS issues, or
             some subtle laziness bugs in Reactive.  Help probing the remaining
             difficulties is most welcome.
             .
             Import "FRP.Reactive" for FRP client apps.  To make a Reactive adapter for an
             imperative library, import "FRP.Reactive.LegacyAdapters".
             .
             Please see the project wiki page: <http://haskell.org/haskellwiki/reactive>
             .
             &#169; 2007-2009 by Conal Elliott; GNU AGPLv3 license (see COPYING).
             I am not thrilled with GPL, and I doubt I'\''ll stay with it for long.
             If you would like different terms, please talk to me.
             .
             With contributions from: Robin Green, Thomas Davie, Luke Palmer,
             David Sankel, Jules Bean, Creighton Hogg, Chuan-kai Lin, and Richard
             Smith.  Please let me know if I'\''ve forgotten to list you.
category: reactivity, FRP
author: Conal Elliott
exposed: True
exposed-modules: FRP.Reactive FRP.Reactive.Future
                 FRP.Reactive.PrimReactive FRP.Reactive.Reactive
                 FRP.Reactive.Behavior FRP.Reactive.Fun FRP.Reactive.Improving
                 FRP.Reactive.Num FRP.Reactive.VectorSpace
                 FRP.Reactive.Internal.Misc FRP.Reactive.Internal.Fun
                 FRP.Reactive.Internal.Future FRP.Reactive.Internal.Reactive
                 FRP.Reactive.Internal.Behavior FRP.Reactive.Internal.Clock
                 FRP.Reactive.Internal.Timing FRP.Reactive.Internal.Chan
                 FRP.Reactive.LegacyAdapters Data.AddBounds Data.Min Data.Max
                 Data.PairMonad FRP.Reactive.Internal.IVar
                 FRP.Reactive.Internal.Serial FRP.Reactive.Internal.TVal
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/reactive-0.11.5
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/reactive-0.11.5
              /usr/local/lib
hs-libraries: HSreactive-0.11.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: QuickCheck-2.5.1.1-afeb3895324ee60cc5b4d153a73647dc
         Stream-0.4.6.1-ebd502e2a5cbcf63c22488d39b81b736
         TypeCompose-0.9.9-9c5cc7fe8cebd10f4c09135e469d5696
         base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         categories-1.0.5-cca0ad33982c4847d12c0c77da469c30
         checkers-0.3.1-4f6c5d551249d76d0350f27ecc2d74c2
         comonad-3.0.2-48fa0b4cd584416476c0cace0bb27a4d
         old-time-1.1.0.0-703543375fafbcbe67bc51a758e84f10
         pointed-3.0.2-f07d2e602c4008e954bf33653d61f690
         random-1.0.1.1-c58cc32eea7e1ff248e803433efc4a71
         semigroups-0.9-5d1f5343482e423967607642c4cfeebb
         unamb-0.2.5-c6801d0f7a355c8cd3e6bf2731b63cbb
         vector-space-0.8.6-fdb3f237a0740e93faac710667c00238
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/reactive-0.11.5/html/reactive.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/reactive-0.11.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
